Get a task
curl --request GET \
--url https://api.ando.so/v1/tasks/{taskId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/tasks/{taskId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"entries": [
{
"author_label": "<string>",
"authorWorkspaceMembershipId": "<string>",
"author_member_id": "<string>",
"body_markdown": "<string>",
"created_at": "2026-05-14T08:00:00.000Z",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"run_id": "<string>",
"source_message_id": "<string>",
"task_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"updated_at": "2026-05-14T08:00:00.000Z",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"resources": [
{
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2026-05-14T08:00:00.000Z",
"created_by_entry_id": "<string>",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"label": "<string>",
"task_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"task": {
"conversation_id": "<string>",
"conversation_name": "<string>",
"created_at": "2026-05-14T08:00:00.000Z",
"creatorWorkspaceMembershipId": "<string>",
"creator_member_id": "<string>",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"last_activity_at": "2026-05-14T08:00:00.000Z",
"name": "<string>",
"objective": "<string>",
"state_version": 123,
"summary": "<string>",
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Returns task context, including task entries and resources.
GET
https://api.ando.so/v1
/
tasks
/
{taskId}
Get a task
curl --request GET \
--url https://api.ando.so/v1/tasks/{taskId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/tasks/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/tasks/{taskId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"entries": [
{
"author_label": "<string>",
"authorWorkspaceMembershipId": "<string>",
"author_member_id": "<string>",
"body_markdown": "<string>",
"created_at": "2026-05-14T08:00:00.000Z",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"run_id": "<string>",
"source_message_id": "<string>",
"task_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"updated_at": "2026-05-14T08:00:00.000Z",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"resources": [
{
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2026-05-14T08:00:00.000Z",
"created_by_entry_id": "<string>",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"label": "<string>",
"task_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"updated_at": "2026-05-14T08:00:00.000Z",
"url": "<string>",
"workspace_id": "01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"task": {
"conversation_id": "<string>",
"conversation_name": "<string>",
"created_at": "2026-05-14T08:00:00.000Z",
"creatorWorkspaceMembershipId": "<string>",
"creator_member_id": "<string>",
"id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"last_activity_at": "2026-05-14T08:00:00.000Z",
"name": "<string>",
"objective": "<string>",
"state_version": 123,
"summary": "<string>",
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Workspace API key. Current accepted keys use the ando_sk_ prefix.
Path Parameters
Task identifier.
⌘I